Open SCAP Library: xccdf_policy_engine Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
xccdf_policy_engine Struct Reference

## Public Member Functions
xccdf_test_result_type_t | xccdf_policy_engine_eval (struct xccdf_policy_engine *engine, struct xccdf_policy *policy, const char *definition_id, const char *href_id, struct oscap_list *value_bindings, struct xccdf_check_import_iterator *check_import_it)
| Execute the eval function of the given checking engine. More...
struct oscap_stringlist * | xccdf_policy_engine_query (struct xccdf_policy_engine *engine, xccdf_policy_engine_query_t query_type, void *query_data)
| Execute the query function of the given checking engine. More...

## Data Fields
char * | system
| Identificator of checking engine.
xccdf_policy_engine_eval_fn | callback
| format of callback function
void * | usr
| User data structure.
xccdf_policy_engine_query_fn | query_fn
| query callback function

## Member Function Documentation

xccdf_test_result_type_t xccdf_policy_engine_eval | ( | struct xccdf_policy_engine * | engine,
|  | struct xccdf_policy * | policy,
|  | const char * | definition_id,
|  | const char * | href_id,
|  | struct oscap_list * | value_bindings,
|  | struct xccdf_check_import_iterator * | check_import_it
| ) |  |

Execute the eval function of the given checking engine.

Parameters

  engine | Checking engine
  policy | XCCDF Policy
  definition_id | ID of definition to evaluate
  href_id | The attribute of check-content-ref
  value_bindings | Value binding
  check_import_it | Check imports

Returns
  result of checking engine evaluation

struct oscap_stringlist * xccdf_policy_engine_query | ( | struct xccdf_policy_engine * | engine,
|  | xccdf_policy_engine_query_t | query_type,
|  | void * | query_data
| ) |  |

Execute the query function of the given checking engine.

Parameters

  engine | Checking Engine
  query_type | Type of a query over checking engine data.
  query_data | Additional data for the checking engine query.

Returns
  list of query results

The documentation for this struct was generated from the following files:

- xccdf_policy_engine.c
- xccdf_policy_engine_priv.h